// API Stuffs
export const apiConstArgs = {
    orderType: "Consumer",
    pageSize: 10
};
export const apiOrderNumberParamName = 'referenceNumber';
export const apiOrderTypeParamName = 'orderType';
export const methodPost = "POST";
export const methodGet = "GET";
export const endpointAuth = 'Auth';
export const endpointShipments = 'Orders';
export const retrievalTimeoutMs = 15 * 1000;
export const tokenLifespan = 5 * 60 * 1000;
export const refreshTokenThreshold = 30 * 1000;
// Standard RSL Strings & Values
export const rslOrderStatusAccepted = "Accepted";
export const rslOrderStatusFulfilling = "InFulfllment";
export const rslOrderStatusFulfillingCorrected = "InFulfillment";
export const rslOrderStatusShipped = "Shipped";
export const rslOrderStatusBackordered = "Backorder";
export const rslOrderStatuses = [rslOrderStatusAccepted, rslOrderStatusFulfilling, rslOrderStatusFulfillingCorrected, rslOrderStatusShipped, rslOrderStatusBackordered];
export const shipMethodExpress = 'Priority Mail Small Flat Rate Box';
export const shipMethodPriority = '2nd Day Air';
export const shipMethodStandard = 'First Class';
export const shipMethodStandardName = "Standard";
export const shipMethodExpressName = "Express";
export const shipMethodPriorityName = "Priority";
export const shipMethodGroundName = "Ground";
export const standardShippingMethods = [shipMethodStandardName, shipMethodExpressName, shipMethodPriorityName, shipMethodGroundName];
export var smrtSKUs;
(function (smrtSKUs) {
    smrtSKUs["lsb4"] = "BD2";
    smrtSKUs["accutradeInsert"] = "AT-Insert";
    smrtSKUs["compBD"] = "B07GSFWM3J";
    smrtSKUs["socket"] = "Socket";
    smrtSKUs["lsb2"] = "2746-B00652G4TS";
})(smrtSKUs || (smrtSKUs = {}));
export const shippingMethods = {
    "GlobalMail Packet Plus": { carrier: "DHL", createPermitted: false, serviceType: null },
    "GlobalMail Parcel": { carrier: "DHL", createPermitted: false, serviceType: null },
    "GlobalMail Parcel Direct": { carrier: "DHL", createPermitted: false, serviceType: null },
    "Express Worldwide (NonDoc)": { carrier: "DHL", createPermitted: false, serviceType: null },
    "First Class Mail": { carrier: "USPS", createPermitted: false, serviceType: shipMethodStandardName },
    "First Class Mail-Signature Required": { carrier: "USPS", createPermitted: false, serviceType: shipMethodStandardName },
    "First Class Mail International": { carrier: "USPS", createPermitted: false, serviceType: shipMethodStandardName },
    "Priority Mail": { carrier: "USPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Priority Mail-Signature Required": { carrier: "USPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Priority Mail International": { carrier: "USPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Priority Mail Small Flat Rate Box": { carrier: "USPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Priority Mail Medium Flat Rate Box": { carrier: "USPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Priority Mail Large Flat Rate Box": { carrier: "USPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Priority Mail Flat Rate Envelope": { carrier: "USPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Express Mail": { carrier: "USPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Express Mail International": { carrier: "USPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Express Flat Rate Envelope": { carrier: "USPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Media Mail": { carrier: "USPS", createPermitted: false, serviceType: null },
    "Media Mail-Signature Required": { carrier: "USPS", createPermitted: false, serviceType: null },
    "SurePost": { carrier: "UPS", createPermitted: false, serviceType: null },
    "Ground": { carrier: "UPS", createPermitted: false, serviceType: "Ground" },
    "Ground-Signature Required": { carrier: "UPS", createPermitted: false, serviceType: null },
    "3-Day Select": { carrier: "UPS", createPermitted: false, serviceType: shipMethodExpressName },
    "3-Day Select-Signature Required": { carrier: "UPS", createPermitted: false, serviceType: shipMethodExpressName },
    "2nd Day Air": { carrier: "UPS", createPermitted: false, serviceType: shipMethodPriorityName },
    "2nd Day Air-Signature Required": { carrier: "UPS", createPermitted: false, serviceType: shipMethodPriorityName },
    "2nd Day Air AM": { carrier: "UPS", createPermitted: false, serviceType: shipMethodPriorityName },
    "Next Day Air Saver": { carrier: "UPS", createPermitted: false, serviceType: shipMethodPriorityName },
    "Next Day Air Saver-Signature Required": { carrier: "UPS", createPermitted: false, serviceType: shipMethodPriorityName },
    "Next Day Air": { carrier: "UPS", createPermitted: false, serviceType: shipMethodPriorityName },
    "Next Day Air-Signature Required": { carrier: "UPS", createPermitted: false, serviceType: shipMethodPriorityName },
    "Next Day Air Saturday Delivery": { carrier: "UPS", createPermitted: false, serviceType: shipMethodPriorityName },
    "Standard": { carrier: "UPS", createPermitted: false, serviceType: shipMethodStandardName },
    "Worldwide Express": { carrier: "UPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Worldwide Express Plus": { carrier: "UPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Worldwide Express Saver": { carrier: "UPS", createPermitted: false, serviceType: shipMethodExpressName },
    "Worldwide Expedited": { carrier: "UPS", createPermitted: false, serviceType: shipMethodExpressName }
};
const listOfShippingMethods = Object.keys(shippingMethods);
