import chai from 'chai';
import chaiAsPromised from "chai-as-promised";
import fetch from 'node-fetch';
import fetchMock from 'fetch-mock';
const expect = chai.expect;
chai.use(chaiAsPromised);

import * as smrt from '../smrtfill.js'
import * as authCases from './testDetails/smrt.cases.auth.js'
import * as rslConstants from '../smrtfill.constants.js';
import * as getTestCases from './testDetails/smrt.cases.get.js'
import util from 'util';

console.log(`============ LIVE TEST ==============`)
console.log(`============ LIVE TEST ==============`)
console.log(`============ LIVE TEST ==============`)
console.log(`============ LIVE TEST ==============`)

describe('Tests order creation', async() => {
    after(async() => {
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`)
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`)
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`)
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`)
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`)
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`)
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`)
    })


    context('Creates an order', async() => {
        it('Validates', async function(){
            this.timeout(6000);

            const testOrderNumber:string = `CNTest-${Number(new Date())}` 
            const testOrder = {
                orderNumber: testOrderNumber,
                person:{
                    name: "Chris Nevin",
                    addressOne: "2709 N Hayden Island Dr",
                    addressTwo: "STE 523229",
                    email: "cnevin@yert.ca",
                    phone: "709-749-1029",
                    city: "Portland",
                    state: "OR",
                    country: "US",
                    zip: "12345"
                },
                order: {"Socket": {qty: 1}}
            }
            let newOrderId = await smrt.createShipment(testOrder.orderNumber, testOrder.order, testOrder.person, "Standard", "");
            
            let orderCheck = await smrt.getShipment({orderNumber: testOrderNumber})
          
            console.log(util.inspect(orderCheck))
          
            expect(orderCheck!.orderNumber).to.equal(testOrderNumber);
            expect(orderCheck?.rslReference).to.equal(newOrderId);
            expect(orderCheck?.receiver).to.deep.equal( {
                name: 'Chris Nevin',
                phone: '709-749-1029',
                email: 'cnevin@yert.ca',
                addressOne: '2709 N Hayden Island Dr',
                addressTwo: 'STE 523229',
                addressThree: null,
                company: null,
                city: 'Portland',
                state: 'OR',
                country: 'US',
                zip: '12345'
              })
              expect(orderCheck?.reqItems).to.deep.equal(
                [{ sku: 'Socket', qty: 1, description: 'BlueDriver 10mm Socket'} ]
              )
              expect(orderCheck?.status).to.equal("Accepted");
        });
    });
});

